<html>
<head>
	<title>Calculator</title>
	<link href="https://fonts.googleapis.com/css?family=Graduate|Iceland" rel="stylesheet">
<style>
*{
margin:0;
padding:0;
box-sizing:border-box;
}
body{
	background: #444;
}
.mainContainer{
	margin: 0 auto;
	max-width:500px;
	height:100%;
	background: #101010;
	border-radius:10px;
}
.userInput{
	width:92%;
	margin: 2.5% 2.5% 0 4%;
	padding-right:5px;
	border-radius:5px;
	text-align:right;
	font-size: 5em;
	background: rgb(69, 110, 22);
	border: transparent;
	font-family: 'Graduate', cursive;
	overflow: hidden;
}
.buttonBlock{
	margin: 0 0 0 3.5%;
}
div{
	padding:1.3em 0 0 0;
}
button{
	width:6rem;
	margin-left:1%;
	margin-right:1%;
	height:1.5em;
	border:0;
	background:#252525;
	color:white;
	border-radius:0.35em;
	font-size: 3rem;
	font-family: 'Iceland', cursive;
}
button:hover{
	background:#181818;

}
.operator{
	background: #000;
}
.topRow{
	font-size: 1.5rem;
	height:3em;
}
.clear{
	color: #990000;
}
.clear:hover{
	background: #990000;
	color:#000;
}
.delete{
	color: #990000;
}
.equals{
	background: rgb(206, 82, 10);
}
.equals:hover{
	background:rgb(153, 67, 17);

}
@media screen and (min-width: 481px){
	.buttonBlock{
		margin: 0 0 0 3.2%;
	}
	button{
		width:6.5rem;
	}
}
</style>
</head>
<body>
	<div class="mainContainer">
		<input class="userInput" id= "textArea" type=label>

		<div class="buttonBlock">
			<div id ="container">
				<button id="buttonClear" class="topRow operator clear" onclick="buttonClear()">CLEAR</button>
				<button id="buttonBackSpace" class="topRow operator delete" onclick="buttonBackSpace()">Del</button>
				<button id="buttonSquareRoot" class="topRow operator" onclick="buttonSquareRoot()">Sqrt</button>
				<button id="buttonMod" class="topRow operator"  onclick="buttonMod()">Mod</button>
			</div>

			<div id ="container">
			<button id="buttonSeven" onclick="buttonClicked(7)">7</button>
			<button id="buttonEight" onclick="buttonClicked(8)">8</button>
			<button id="buttonNine" onclick="buttonClicked(9)">9</button>
			<button id="buttonStar" class="operator" onclick="buttonMultiply()">x</button>
			</div>

			<div id ="container">
			<button id="buttonFour" onclick="buttonClicked(4)">4</button>
			<button id="buttonFive" onclick="buttonClicked(5)">5</button>
			<button id="buttonSix" onclick="buttonClicked(6)">6</button>
			<button id="buttonMinus" class="operator" onclick="buttonMinus()">-</button>
			</div>

			<div id ="container">
			<button id="buttonOne" onclick="buttonClicked(1)">1</button>
			<button id="buttonTwo" onclick="buttonClicked(2)">2</button>
			<button id="buttonThree" onclick="buttonClicked(3)">3</button>
			<button id="buttonPlus" class="operator" onclick="buttonPlus()">+</button>
			</div>

			<div id ="container">
			<button id="buttonZero" onclick="buttonClicked(0)">0</button>
			<button id="buttonDot" onclick="buttonDot()">.</button>
			<button id="buttonDivide" class="operator" onclick="buttonDivide()">/</button>
			<button id="buttonEquals" class="equals" onclick="buttonEquals()">=</button>
			</div>
		</div>
	</div>
		
		<script>
			var firstNumber;
			var secondNumber;
			var operator;
			
			function buttonClear(){
				document.querySelector("#textArea").value = " ";
			}
			function buttonBackSpace(){
				text = document.querySelector("#textArea").value;
				newText = text.slice(0, -1);
				document.querySelector("#textArea").value = newText;
			}
			function buttonSquareRoot(){
				value = document.querySelector("#textArea").value;
				rootValue = Math.sqrt(value);
				document.querySelector("#textArea").value = rootValue.toFixed(2);
			}
			function buttonDivide(){
				firstNumber = parseFloat(document.querySelector("#textArea").value);
				operator = "divide";
				document.querySelector("#textArea").value = " ";
				return firstNumber, operator;
			}
			function buttonClicked(number){
				document.querySelector("#textArea").value += number;
			}
			function buttonMultiply(){
				firstNumber = parseFloat(document.querySelector("#textArea").value);
				operator = "star";
				document.querySelector("#textArea").value = " ";
				return firstNumber, operator;
			}
			function buttonMinus(){
				firstNumber = parseFloat(document.querySelector("#textArea").value);
				operator = "minus";
				document.querySelector("#textArea").value = " ";
				return firstNumber, operator;
			}
			function buttonPlus(){
				firstNumber = parseFloat(document.querySelector("#textArea").value);
				operator = "add";
				document.querySelector("#textArea").value = " ";
				return firstNumber, operator;
			}
			function buttonDot(){
				text = document.querySelector("#textArea").value;
				document.querySelector("#textArea").value += ".";
			}
			function buttonMod(){
				firstNumber = parseFloat(document.querySelector("#textArea").value);
				operator = "mod";
				document.querySelector("#textArea").value = " ";
				return firstNumber, operator;
			}
			function buttonEquals(){
				secondNumber = parseFloat(document.querySelector("#textArea").value);
				if(firstNumber == NaN || secondNumber == NaN){
					document.querySelector("#textArea").value = '0';
				}
				else{
					switch(operator){
						case "add":
							result = firstNumber + secondNumber;
							break;
						case "minus":
							result = firstNumber - secondNumber;
							break;
						case "star":
							result = firstNumber * secondNumber;
							break;
						case "divide":
							result = firstNumber / secondNumber;
							break;
						case "mod":
							result = firstNumber % secondNumber;
							break;
					}
					resultValue = result.toFixed(2);
					resultLength = resultValue.length;
					if(resultValue[resultLength-1] == 0 && resultValue[resultLength-2] == 0){
						document.querySelector("#textArea").value = result.toFixed(0);
						console.log("if block");
					}
					else if(resultValue[resultLength-1] == 0){
						document.querySelector("#textArea").value = result.toFixed(1);
						console.log("else if");
					}
					else{
						document.querySelector("#textArea").value = result.toFixed(2);
						console.log("else");
					}
					
				}
				
				firstNumber = " ";
				secondNumber = " ";
			}
			document.addEventListener('keyup', (event)=>{
				var keyName = event.key;
				switch(keyName){
					case "1":
						buttonClicked(1);
						break;
					case "2":
						buttonClicked(2);
						break;
					case "3":
						buttonClicked(3);
						break;
					case "4":
						buttonClicked(4);
						break;
					case "5":
						buttonClicked(5);
						break;
					case "6":
						buttonClicked(6);
						break;
					case "7":
						buttonClicked(7);
						break;
					case "8":
						buttonClicked(8);
						break;
					case "9":
						buttonClicked(9);
						break;
					case "0":
						buttonClicked(0);
						break;
					case ".":
						buttonDot();
						break;
					case "%":
						buttonMod();
						break;
					case "Enter":
						buttonEquals();
						break;
					case "+":
						buttonPlus();
						break;
					case "-":
						buttonMinus();
						break;
					case "*":
						buttonMultiply();
						break;
					case "/":
						buttonDivide();
						break;
					case "Backspace":
						buttonBackSpace();
						break;
					case "Escape":
						buttonClear();
						break;
				}
			});
		</script>
	</body>
</html>


